SYSENV(1)

NAME
sysenv - request system boot parameter

SYNOPSIS
sysenv [boot-variable] ...

DESCRIPTION
Sysenv requests the value of one or more boot variables. For example sysenv memory returns the list of free memory at system startup. Note that some parameters have undergone "device translation" from a device name to a decimal device number.

If no variable names are given then the entire boot environment is listed.

SEE ALSO
svrctl(2), monitor(8), boot(8).

DIAGNOSTICS
Exit code 0 with the variable's value printed to standard output if all requested variables exist in the boot environment, exit code 1 on any weird error, exit code 2 if one of the variables is not set, and exit code 3 if both kind of errors occurred.

AUTHOR
Kees J. Bot (kjb@cs.vu.nl)